# Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/nzmg/NZMG.cpp File Reference

`#include <string.h>`
`#include <math.h>`
`#include "NZMG.h"`
`#include "EllipsoidParameters.h"`
`#include "MapProjectionCoordinates.h"`
`#include "GeodeticCoordinates.h"`
`#include "CoordinateConversionException.h"`
`#include "ErrorMessages.h"`

Go to the source code of this file.

## Classes

struct | Complex

## Functions

Complex | add (Complex z1, Complex z2)
Complex | multiply (Complex z1, Complex z2)
Complex | divide (Complex z1, Complex z2)

## Variables

const double | PI = 3.14159265358979323e0
const double | PI_OVER_2 = (PI / 2.0)
const double | TWO_PI = (2.0 * PI)
const double | MAX_LAT = (-33.5 * PI / 180.0)
const double | MIN_LAT = (-48.5 * PI / 180.0)
const double | MAX_LON = (180.0 * PI / 180.0)
const double | MIN_LON = (165.5 * PI / 180.0)
const char * | International = "IN"
const double | NZMG_Origin_Lat = (-41.0)
const double | NZMG_Origin_Long = (173.0 * PI / 180.0)
const double | NZMG_False_Northing = 6023150.0
const double | NZMG_False_Easting = 2510000.0
const double | NZMG_Max_Easting = 3170000.0
const double | NZMG_Max_Northing = 6900000.0
const double | NZMG_Min_Easting = 1810000.0
const double | NZMG_Min_Northing = 5160000.0
double | A []
Complex | B []
Complex | C []
double | D []

## Function Documentation

Complex add | ( | Complex | z1,
|  | Complex | z2 |
| ) |  |  |

Definition at line 164 of file NZMG.cpp.

Complex divide | ( | Complex | z1,
|  | Complex | z2 |
| ) |  |  |

Definition at line 188 of file NZMG.cpp.

Complex multiply | ( | Complex | z1,
|  | Complex | z2 |
| ) |  |  |

Definition at line 176 of file NZMG.cpp.

## Variable Documentation

double A[]

Initial value:

     { 0.6399175073, -0.1358797613, 0.063294409,
                  -0.02526853, 0.0117879, -0.0055161,
                   0.0026906, -0.001333, 0.00067, -0.00034 }

Definition at line 136 of file NZMG.cpp.

Complex B[]

Initial value:

     { { 0.7557853228, 0.0 },
                    { 0.249204646, 0.003371507 },
                    { -0.001541739, 0.041058560 },
                    { -0.10162907, 0.01727609 },
                    { -0.26623489, -0.36249218 },
                    { -0.6870983, -1.1651967 } }

Definition at line 140 of file NZMG.cpp.

Complex C[]

Initial value:

     { { 1.3231270439, 0.0 },
                    { -0.577245789, -0.007809598 },
                    { 0.508307513, -0.112208952 },
                    { -0.15094762, 0.18200602 },
                    { 1.01418179, 1.64497696 },
                    { 1.9660549, 2.5127645 } }

Definition at line 147 of file NZMG.cpp.

double D[]

Initial value:

     { 1.5627014243, 0.5185406398, -0.03333098,
                  -0.1052906, -0.0368594, 0.007317,
                   0.01220, 0.00394, -0.0013 }

Definition at line 154 of file NZMG.cpp.

const char* International = "IN"

Definition at line 116 of file NZMG.cpp.

const double MAX_LAT = (-33.5 * PI / 180.0)

Definition at line 111 of file NZMG.cpp.

const double MAX_LON = (180.0 * PI / 180.0)

Definition at line 113 of file NZMG.cpp.

const double MIN_LAT = (-48.5 * PI / 180.0)

Definition at line 112 of file NZMG.cpp.

const double MIN_LON = (165.5 * PI / 180.0)

Definition at line 114 of file NZMG.cpp.

const double NZMG_False_Easting = 2510000.0

Definition at line 122 of file NZMG.cpp.

const double NZMG_False_Northing = 6023150.0

Definition at line 121 of file NZMG.cpp.

const double NZMG_Max_Easting = 3170000.0

Definition at line 125 of file NZMG.cpp.

const double NZMG_Max_Northing = 6900000.0

Definition at line 126 of file NZMG.cpp.

const double NZMG_Min_Easting = 1810000.0

Definition at line 127 of file NZMG.cpp.

const double NZMG_Min_Northing = 5160000.0

Definition at line 128 of file NZMG.cpp.

const double NZMG_Origin_Lat = (-41.0)

Definition at line 119 of file NZMG.cpp.

const double NZMG_Origin_Long = (173.0 * PI / 180.0)

Definition at line 120 of file NZMG.cpp.

const double PI = 3.14159265358979323e0

Definition at line 108 of file NZMG.cpp.

const double PI_OVER_2 = (PI / 2.0)

Definition at line 109 of file NZMG.cpp.

const double TWO_PI = (2.0 * PI)

Definition at line 110 of file NZMG.cpp.